Groovy Documentation

## org.codehaus.groovy.reflection
[Java] Class ClassLoaderForClassArtifacts

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts

    public class ClassLoaderForClassArtifacts
    extends java.lang.ClassLoader

Field Summary
`java.lang.ref.SoftReference` | `klazz`

Constructor Summary
`ClassLoaderForClassArtifacts(java.lang.Class klazz)`

Method Summary
`java.lang.String` | `createClassName(java.lang.reflect.Method method)`
`java.lang.Class` | `define(java.lang.String name, byte[] bytes)`
`java.lang.reflect.Constructor` | `defineClassAndGetConstructor(java.lang.String name, byte[] bytes)`
`java.lang.Class` | `loadClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader

java.lang.ClassLoader#loadClass(java.lang.String), java.lang.ClassLoader#getSystemClassLoader(), java.lang.ClassLoader#getResources(java.lang.String), java.lang.ClassLoader#getSystemResources(java.lang.String), java.lang.ClassLoader#getParent(), java.lang.ClassLoader#setDefaultAssertionStatus(boolean), java.lang.ClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#clearAssertionStatus(), java.lang.ClassLoader#getResourceAsStream(java.lang.String), java.lang.ClassLoader#getResource(java.lang.String), java.lang.ClassLoader#getSystemResourceAsStream(java.lang.String), java.lang.ClassLoader#getSystemResource(java.lang.String), java.lang.ClassLoader#wait(long), java.lang.ClassLoader#wait(long, int), java.lang.ClassLoader#wait(), java.lang.ClassLoader#equals(java.lang.Object), java.lang.ClassLoader#toString(), java.lang.ClassLoader#hashCode(), java.lang.ClassLoader#getClass(), java.lang.ClassLoader#notify(), java.lang.ClassLoader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### klazz

    public final java.lang.ref.SoftReference klazz

Constructor Detail

### ClassLoaderForClassArtifacts

    public ClassLoaderForClassArtifacts(java.lang.Class klazz)

Method Detail

### createClassName

    public java.lang.String createClassName(java.lang.reflect.Method method)

### define

    public java.lang.Class define(java.lang.String name, byte[] bytes)

### defineClassAndGetConstructor

    public java.lang.reflect.Constructor defineClassAndGetConstructor(java.lang.String name, byte[] bytes)

### loadClass

    public java.lang.Class loadClass(java.lang.String name)

Groovy Documentation